summaryrefslogtreecommitdiff
path: root/packages/initscripts/initscripts-1.0/openprotium
diff options
context:
space:
mode:
Diffstat (limited to 'packages/initscripts/initscripts-1.0/openprotium')
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/checkroot212
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/devfs.sh5
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/devices70
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/domainname.sh6
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/flashclean60
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/halt27
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/mountall.sh28
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/reboot12
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/umountfs27
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/umountinitrd.sh11
10 files changed, 0 insertions, 458 deletions
diff --git a/packages/initscripts/initscripts-1.0/openprotium/checkroot b/packages/initscripts/initscripts-1.0/openprotium/checkroot
deleted file mode 100755
index 6b63b07188..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/checkroot
+++ /dev/null
@@ -1,212 +0,0 @@
-#
-# checkroot.sh Check to root filesystem.
-#
-# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
-#
-
-. /etc/default/rcS
-
-#
-# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to be spawned
-# from this script *before anything else* with a timeout, like SCO does.
-#
-test "$SULOGIN" = yes && sulogin -t 30 $CONSOLE
-
-#
-# Ensure that bdflush (update) is running before any major I/O is
-# performed (the following fsck is a good example of such activity :).
-#
-test -x /sbin/update && update
-
-#
-# Read /etc/fstab.
-#
-exec 9>&0 </etc/fstab
-rootmode=rw
-rootopts=rw
-test "$ENABLE_ROOTFS_FSCK" = yes && rootcheck="yes" || rootcheck="no"
-swap_on_md=no
-devfs=
-while read fs mnt type opts dump pass junk
-do
- case "$fs" in
- ""|\#*)
- continue;
- ;;
- /dev/md*)
- # Swap on md device.
- test "$type" = swap && swap_on_md=yes
- ;;
- /dev/*)
- ;;
- *)
- # Might be a swapfile.
- test "$type" = swap && swap_on_md=yes
- ;;
- esac
-
- test "$type" = devfs && devfs="$fs"
-
- # Currently we do not care about the other entries
- if test "$mnt" = "/"
- then
- #echo "[$fs] [$mnt] [$type] [$opts] [$dump] [$pass] [$junk]"
-
- rootopts="$opts"
- roottype="$type"
-
- #The "spinner" is broken on busybox sh
- TERM=dumb
-
- test "$pass" = 0 -o "$pass" = "" && rootcheck=no
-
- # Enable fsck for ext2 and ext3 rootfs, disable for everything else
- case "$type" in
- ext2|ext3) rootcheck=yes;;
- *) rootcheck=no;;
- esac
-
- if test "$rootcheck" = yes
- then
- if ! test -x "/sbin/fsck.${roottype}"
- then
- echo -e "\n * * * WARNING: /sbin/fsck.${roottype} is missing! * * *\n"
- rootcheck=no
- fi
- fi
-
- case "$opts" in
- ro|ro,*|*,ro|*,ro,*)
- rootmode=ro
- ;;
- esac
- fi
-done
-exec 0>&9 9>&-
-
-#
-# Activate the swap device(s) in /etc/fstab. This needs to be done
-# before fsck, since fsck can be quite memory-hungry.
-#
-doswap=no
-test -d /proc/1 || mount -n /proc
-case "`uname -r`" in
- 2.[0123].*)
- if test $swap_on_md = yes && grep -qs resync /proc/mdstat
- then
- test "$VERBOSE" != no && echo "Not activating swap - RAID array resyncing"
- else
- doswap=yes
- fi
- ;;
- *)
- doswap=yes
- ;;
-esac
-if test $doswap = yes
-then
- test "$VERBOSE" != no && echo "Activating swap"
- swapon -a 2> /dev/null
-fi
-
-#
-# Check the root filesystem.
-#
-if test -f /fastboot || test $rootcheck = no
-then
- test $rootcheck = yes && echo "Fast boot, no filesystem check"
-else
- #
- # Ensure that root is quiescent and read-only before fsck'ing.
- #
- mount -n -o remount,ro /
- if test $? = 0
- then
- if test -f /forcefsck
- then
- force="-f"
- else
- force=""
- fi
- if test "$FSCKFIX" = yes
- then
- fix="-y"
- else
- fix="-a"
- fi
- spinner="-C"
- case "$TERM" in
- dumb|network|unknown|"") spinner="" ;;
- esac
- test `uname -m` = s390 && spinner="" # This should go away
- test "$VERBOSE" != no && echo "Checking root filesystem..."
- fsck $spinner $force $fix /
- #
- # If there was a failure, drop into single-user mode.
- #
- # NOTE: "failure" is defined as exiting with a return code of
- # 2 or larger. A return code of 1 indicates that filesystem
- # errors were corrected but that the boot may proceed.
- #
-
- echo "RETURNCODE: [$RTC]"
-
- if test "$RTC" -gt 3
- then
-
- # Since this script is run very early in the boot-process, it should be safe to assume that the
- # output is printed to VT1. However, some distributions use a bootsplash to hide the "ugly" boot
- # messages and having the bootsplash "hang" due to a waiting fsck prompt is less than ideal
- chvt 1
-
- # Surprise! Re-directing from a HERE document (as in
- # "cat << EOF") won't work, because the root is read-only.
- echo
- echo "fsck failed. Please repair manually and reboot. "
- echo "Please note that the root filesystem is currently "
- echo "mounted read-only. To remount it read-write:"
- echo
- echo " # mount -n -o remount,rw /"
- echo
- echo "CONTROL-D will exit from this shell"
- echo "and REBOOT the system."
- echo
- # Start a single user shell on the console
- /sbin/sulogin $CONSOLE
- reboot -f
- fi
- else
- echo "*** ERROR! Cannot fsck root fs because it is not mounted read-only!"
- echo
- fi
-fi
-
-devrootfound=$(grep "/dev/root" /proc/mounts | \
- awk '{if ($4 = /rw/) print "found";}' )
-
-if [ -n "$devrootfound" -a "$devrootfound" = "found" ]; then
- echo "Read/write /dev/root found."
- exit 0
-fi
-
-if mount -vf -o remount / 2> /dev/null | \
- awk '{if ($6 ~ /rw/) exit 0; else exit 1; }' && \
- ! touch -c / 2> /dev/null
- then
- echo " Remounting root filesystem read/write"
- mount -n -o remount,$rootmode /
-fi
-
-if test "$rootmode" = rw
-then
- if test ! -L /etc/mtab
- then
- rm -f /etc/mtab~ /etc/nologin
- : > /etc/mtab
- fi
- mount -f -o remount /
- grep -q '^proc /proc' /etc/mtab || mount -f /proc
- test "$devfs" && grep -q '^devfs /dev' /proc/mounts && mount -f "$devfs"
-fi
-
-: exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/devfs.sh b/packages/initscripts/initscripts-1.0/openprotium/devfs.sh
deleted file mode 100644
index 5765ca648c..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/devfs.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/sh
-
-mount -t devfs none /dev
-
-
diff --git a/packages/initscripts/initscripts-1.0/openprotium/devices b/packages/initscripts/initscripts-1.0/openprotium/devices
deleted file mode 100755
index f83ea63598..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/devices
+++ /dev/null
@@ -1,70 +0,0 @@
-#!/bin/sh
-#
-# Devfs handling script. Since we arent running devfsd due to various reasons
-# which I will not lay out here, we need to create some links for compatibility.
-
-. /etc/default/rcS
-
-# exit without doing anything if udev is active
-if test -e /dev/.udev -o -e /dev/.udevdb; then
- exit 0
-fi
-
-if test -e /dev/.devfsd
-then
- if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
- [ -e /dev/.linksmade ] && exit 0
-
- ln -s /dev/tts/0 /dev/ttySA0
- ln -s /dev/tts/1 /dev/ttySA1
-
- ln -s /dev/sound/dsp /dev/dsp
- ln -s /dev/sound/mixer /dev/mixer
-
- ln -s /dev/misc/rtc /dev/rtc
-
- #
- # some friendly disk links
- #
- ln -s /dev/discs/disc0/disc /dev/hda
- ln -s /dev/discs/disc1/disc /dev/hdb
- for i in 1 2 3 4; do
- ln -s /dev/discs/disc0/part$i /dev/hda$i
- ln -s /dev/discs/disc1/part$i /dev/hdb$i
- done
-
- ## need this so that ppp will autoload the ppp modules
- mknod /dev/ppp c 108 0
- ln -s /dev/zero /dev/.linksmade
-
- if test "$VERBOSE" != "no"; then echo "done"; fi
-else
- if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
- mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
- if test $? -ne 0; then
- if test "$VERBOSE" != "no"; then echo "failed"; fi
- else
- if test "$VERBOSE" != "no"; then echo "done"; fi
- fi
- if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
- cd /
- mkdir -p dev/input
- mkdir -p dev/msys
- mkdir -p dev/pts
- mkdir -p dev/vc
- mkdir -p dev/snd
- mkdir -p dev/tts
- for i in 0 1 2 3 4 5 6 7 8 9; do
- ln -s /dev/tty$i /dev/vc/$i
- done
- ln -sf /proc/self/fd /dev/fd
- ln -sf /proc/kcore /dev/core
- /sbin/makedevs -r / -D /etc/device_table
- if test $? -ne 0; then
- if test "$VERBOSE" != "no"; then echo "failed"; fi
- else
- if test "$VERBOSE" != "no"; then echo "done"; fi
- fi
-fi
-
-exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/domainname.sh b/packages/initscripts/initscripts-1.0/openprotium/domainname.sh
deleted file mode 100644
index 55cb5dcfba..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/domainname.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-#
-# domainname.sh Set the domainname.
-#
-test -r /etc/defaultdomain &&
- cat /etc/defaultdomain >/proc/sys/kernel/domainname
diff --git a/packages/initscripts/initscripts-1.0/openprotium/flashclean b/packages/initscripts/initscripts-1.0/openprotium/flashclean
deleted file mode 100755
index d9a0e1b592..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/flashclean
+++ /dev/null
@@ -1,60 +0,0 @@
-#! /bin/sh
-#
-# This is an init script for openprotium for storcenter
-#
-# This script cleansup after a successful uboot based reflash.
-# A uboot reflash is done by changing the bootloader boot command
-# to tftp a flash image and flash the firmware. However the boot command
-# is never reset back to a regular boot. This way if the flash did
-# not work the next power cycle will cause another reflash. A nice
-# development recovery feature. So this boot script is the mechanism
-# to reset the uboot boot command. Once booted and access it validated
-# this script will issue command to reset the boot command.
-#
-# This command only has a start so stop is not necessary and should
-# as late in the boot process as possible to ensure a successful reboot
-#
-# Copy it to /etc/init.d/flashclean and type
-# update-rc.d flashclean start 99 5
-#
-BOOTCMD="bootm FF800000"
-
-dmesg | grep StorCenter >/dev/null 2>&1
-if [ $? -ne 0 ]; then
- exit 0
-fi
-
-printenv=/sbin/fw_printenv
-setenv=/sbin/fw_setenv
-test -x "$printenv" -a -x "$setenv" || exit 0
-
-case "$1" in
- start)
- # Check to see if any work needs to be done
- # Need to quote the right hand side, hence the ugly awk.
- eval `$printenv bootcmd | awk -F= '{printf("%s=\"%s\"", $1, $2)}'`
- if [ "$bootcmd" = "$BOOTCMD" ]; then
- exit 0
- fi
-
- echo -n "Restoring u-Boot bootcmd"
- $setenv bootcmd $BOOTCMD > /dev/null 2>&1
- eval `$printenv bootcmd | awk -F= '{printf("%s=\"%s\"", $1, $2)}'`
- if [ "$bootcmd" != "$BOOTCMD" ]; then
- echo " FAILED."
- exit 1
- fi
- echo "."
- ;;
- stop)
- ;;
- reload|force-reload)
- ;;
- restart)
- ;;
- *)
- echo "Usage: /etc/init.d/flashclean {start|stop|reload|restart|force-reload}"
- exit 1
-esac
-
-exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/halt b/packages/initscripts/initscripts-1.0/openprotium/halt
deleted file mode 100755
index f22d892d46..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/halt
+++ /dev/null
@@ -1,27 +0,0 @@
-#! /bin/sh
-#
-# halt Execute the halt command.
-#
-# Version: @(#)halt 2.84-2 07-Jan-2002 miquels@cistron.nl
-#
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-
-# See if we need to cut the power.
-if test -x /etc/init.d/ups-monitor
-then
- /etc/init.d/ups-monitor poweroff
-fi
-
-# Don't shut down drives if we're using RAID.
-hddown="-h"
-if grep -qs '^md.*active' /proc/mdstat
-then
- hddown=""
-fi
-
-echo "Powering down..."
-scc -p off
-halt -d -f -i -p $hddown
-
-: exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/mountall.sh b/packages/initscripts/initscripts-1.0/openprotium/mountall.sh
deleted file mode 100644
index b5ccf9e621..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/mountall.sh
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-#
-# mountall.sh Mount all filesystems.
-#
-# Version: @(#)mountall.sh 2.83-2 01-Nov-2001 miquels@cistron.nl
-#
-. /etc/default/rcS
-
-#
-# Mount local filesystems in /etc/fstab. For some reason, people
-# might want to mount "proc" several times, and mount -v complains
-# about this. So we mount "proc" filesystems without -v.
-#
-test "$VERBOSE" != no && echo "Mounting local filesystems..."
-mount -at nonfs,nosmbfs,noncpfs 2>/dev/null
-
-#
-# We might have mounted something over /dev, see if /dev/initctl is there.
-#
-if test ! -p /dev/initctl
-then
- rm -f /dev/initctl
- mknod -m 600 /dev/initctl p
-fi
-kill -USR1 1
-
-: exit 0
-
diff --git a/packages/initscripts/initscripts-1.0/openprotium/reboot b/packages/initscripts/initscripts-1.0/openprotium/reboot
deleted file mode 100755
index 05a82be4c0..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/reboot
+++ /dev/null
@@ -1,12 +0,0 @@
-#! /bin/sh
-#
-# reboot Execute the reboot command.
-#
-# Version: @(#)reboot 2.75 22-Jun-1998 miquels@cistron.nl
-#
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-
-echo -n "Rebooting... "
-scc -p restart
-reboot -d -f -i
diff --git a/packages/initscripts/initscripts-1.0/openprotium/umountfs b/packages/initscripts/initscripts-1.0/openprotium/umountfs
deleted file mode 100755
index e489c4c1cd..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/umountfs
+++ /dev/null
@@ -1,27 +0,0 @@
-#! /bin/sh
-#
-# umountfs Turn off swap and unmount all local filesystems.
-#
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-
-echo "Deactivating swap..."
-swapoff -a
-
-# We leave /proc mounted.
-echo "Unmounting local filesystems..."
-# umount anything not a pseudo file system, and not root
-# doesn't work for nested mounts at a non-root mount point
-while read device mountpt fstype options
-do
- echo "$device" | grep -q "^/"
- if [ $? -eq 0 ]; then
- if [ "$mountpt" != "/" ] && [ "$mountpt" != "/dev/" ]; then
- umount $mountpt
- fi
- fi
-done</proc/mounts
-
-mount -o remount,ro /
-
-: exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/umountinitrd.sh b/packages/initscripts/initscripts-1.0/openprotium/umountinitrd.sh
deleted file mode 100644
index 12cf7c604c..0000000000
--- a/packages/initscripts/initscripts-1.0/openprotium/umountinitrd.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-# umount the static dev - we'd probably never use it.
-#
-[ -d /dev/.static/dev ] && umount /dev/.static/dev
-#
-# if a root is found on an ext* filesystem, umount the old initrd
-#
-grep -q "/ ext" /proc/mounts
-if [ $? -eq 0 ]; then
- umount /initrd
-fi